plugins {
    id 'com.android.application'
}

android {
    compileSdk 30
    buildToolsVersion '30.0.3'

    defaultConfig {
        applicationId "chaoran.business.pda"
        minSdk 28
        targetSdk 28
        versionCode 1
        versionName "1.8"

        // 1.0 IDATA广播模式处理
        // 1.1 霍尼韦尔的监听修改（扫描网站二维码跳出程序，监听失效，调整）、斑马PDA广播模式设置
        // 1.2 霍尼韦尔EDA56、jdk11，gradle7.3、海信PDA广播支持
        // 1.3 东集 pda的支持
        // 1.4 联新 pda的支持 已经 adapter 关闭的判断
        // 1.5 urovo DT50 Lite pda的支持
        // 1.6 瑞星平板扫描，线程读取一半就返回处理
        // 1.7 暴露一个方法，跳转到index初始化页面

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    //签名配置
    signingConfigs {
        release {
            storeFile file(RELEASE_STOREFILE);
            storePassword RELEASE_STORE_PASSWORD;
            keyAlias RELEASE_KEY_ALIAS
            keyPassword RELEASE_KEY_PASSWORD
        }
    }

    //构建类型
    buildTypes {
        release {
            minifyEnabled false //是否代码混淆
            multiDexEnabled true //防止方法数量超过65536导致错误
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            //配置签名
            signingConfig signingConfigs.release
        }
    }

    //关闭代码格式检查
    lintOptions {
        abortOnError false
    }

    //加载动态库
    sourceSets {
        main {
            jniLibs.srcDir(['libs'])
        }
    }

    //编译选项
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
/*    repositories {
        flatDir {
            dirs 'libs'
        }
    }*/
}
dependencies {
    compileOnly 'com.symbol:emdk:+'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'com.google.code.gson:gson:2.6.2'
    //加载jar包
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.preference:preference:1.1.1'
    //implementation fileTree(include: ['*.aar'], dir: 'libs')
    // 全屏，没有状态栏
    api 'com.readystatesoftware.systembartint:systembartint:1.0.3'
}